LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XQuery Interface Reference

The interface used for quering the package database. More...

`import"XQuery.idl";`

Inheritance diagram for XQuery:

## Public Member Functions
void | IsInstalled ([in] string packageName, [in] string interaction, [out] boolean installed)
| Installs local package files or service packs. More...
void | SearchFile ([in] string fileName, [in] string interaction, [out] boolean installed, [out] string packageName)
| Installs packages to provide files. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

The interface used for quering the package database.

See also
  https://git.gnome.org/browse/gnome-software/tree/src/org.freedesktop.PackageKit.xml for documentation of the corresponding D-Bus interface

## Member Function Documentation

## ◆ IsInstalled()

void IsInstalled | ( | [in] string | packageName,
|  | [in] string | interaction,
|  | [out] boolean | installed
| ) |  |

Installs local package files or service packs.

Since
  LibreOffice 4.0

## ◆ SearchFile()

void SearchFile | ( | [in] string | fileName,
|  | [in] string | interaction,
|  | [out] boolean | installed,
|  | [out] string | packageName
| ) |  |

Installs packages to provide files.

Since
  LibreOffice 4.0

The documentation for this interface was generated from the following file:

- org/freedesktop/PackageKit/XQuery.idl